(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("@angular/core"), require("@sitecore/ma-core"), require("@ngx-translate/core"), require("@angular/common"));
	else if(typeof define === 'function' && define.amd)
		define(["@angular/core", "@sitecore/ma-core", "@ngx-translate/core", "@angular/common"], factory);
	else if(typeof exports === 'object')
		exports["sfmcActivities"] = factory(require("@angular/core"), require("@sitecore/ma-core"), require("@ngx-translate/core"), require("@angular/common"));
	else
		root["sfmcActivities"] = factory(root["@angular/core"], root["@sitecore/ma-core"], root["@ngx-translate/core"], root["@angular/common"]);
})(typeof self !== 'undefined' ? self : this, function(__WEBPACK_EXTERNAL_MODULE_0__, __WEBPACK_EXTERNAL_MODULE_1__, __WEBPACK_EXTERNAL_MODULE_2__, __WEBPACK_EXTERNAL_MODULE_5__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 6);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_0__;

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_1__;

/***/ }),
/* 2 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_2__;

/***/ }),
/* 3 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TenantService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__angular_core__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__sitecore_ma_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__sitecore_ma_core___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1__sitecore_ma_core__);


var TenantService = (function () {
    function TenantService(injector) {
        this.injector = injector;
        this.tenantServiceUrl = '/sitecore/api/def/ma/ts';
        this.tenantServiceSFMCEndpointUrl = '/sitecore/api/sfmc/ma/tse';
        this.apiEventsUrl = '/sitecore/api/sfmc/ma/apievents';
        this.tenantServiceList = null;
        this.tenantServiceSFMCEndpoint = null;
        this.apiEventsList = null;
        this.serverConnection = this.injector.get(__WEBPACK_IMPORTED_MODULE_1__sitecore_ma_core__["SERVER_CONNECTION_SERVICE"]);
    }
    TenantService.prototype.getAllTenantServices = function () {
        var _this = this;
        this.tenantServiceList = null;
        var tenantServicesPromise = this.serverConnection.get(this.tenantServiceUrl, true, true);
        tenantServicesPromise.then(function (tenantServiceList) {
            _this.tenantServiceList = tenantServiceList;
        });
        return tenantServicesPromise;
    };
    TenantService.prototype.getConfiguredTenantServiceEndpoint = function (tenantServiceName) {
        var _this = this;
        this.tenantServiceSFMCEndpoint = null;
        var tenantServicesPromise = this.serverConnection.get(this.tenantServiceSFMCEndpointUrl + "/" + tenantServiceName + "/endpoint", true, true);
        tenantServicesPromise.then(function (tenantServiceSFMCEndpoint) {
            _this.tenantServiceSFMCEndpoint = tenantServiceSFMCEndpoint;
        });
        return tenantServicesPromise;
    };
    TenantService.prototype.getAllAPIEvents = function () {
        var _this = this;
        this.apiEventsList = null;
        var apiEventsPromise = this.serverConnection.get("" + this.apiEventsUrl, true, true);
        apiEventsPromise.then(function (apiEventsList) {
            _this.apiEventsList = apiEventsList;
        });
        return apiEventsPromise;
    };
    TenantService.decorators = [
        { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"] },
    ];
    TenantService.ctorParameters = function () { return [
        { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Injector"], },
    ]; };
    return TenantService;
}());

//# sourceMappingURL=tenant-service.js.map

/***/ }),
/* 4 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TriggerSFMCSyncProcessComponent", function() { return TriggerSFMCSyncProcessComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__angular_core__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__sitecore_ma_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__sitecore_ma_core___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1__sitecore_ma_core__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__services_tenant_service__ = __webpack_require__(3);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();



var TriggerSFMCSyncProcessComponent = (function (_super) {
    __extends(TriggerSFMCSyncProcessComponent, _super);
    function TriggerSFMCSyncProcessComponent(tenantService) {
        var _this = _super.call(this) || this;
        _this.tenantService = tenantService;
        _this.isAPIEventCheckBoxChecked = true;
        _this.tenantServiceConnectionAvailableItems = [];
        _this.apiEventAvailableItems = [];
        return _this;
    }
    TriggerSFMCSyncProcessComponent.prototype.serialize = function () {
        return {
            defSfmcSyncProcessData: {
                connectionStringName: this.connectionStringName,
                sfmcApiEventName: this.apiEventName,
                sfmcApiEventId: this.apiEventId,
                tenantServiceEndpointId: this.tenantServiceEndpointId,
                tenantServiceEndpointName: this.tenantServiceEndpointName,
                sendSfmcApiRequest: this.isAPIEventCheckBoxChecked
            }
        };
    };
    TriggerSFMCSyncProcessComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.connectionStringName = this.model && this.model.defSfmcSyncProcessData ? this.model.defSfmcSyncProcessData.connectionStringName || null : null;
        this.apiEventName = this.model && this.model.defSfmcSyncProcessData ? this.model.defSfmcSyncProcessData.sfmcApiEventName || null : null;
        this.apiEventId = this.model && this.model.defSfmcSyncProcessData ? this.model.defSfmcSyncProcessData.sfmcApiEventId || null : null;
        this.tenantServiceEndpointId = this.model && this.model.defSfmcSyncProcessData ? this.model.defSfmcSyncProcessData.tenantServiceEndpointId || null : null;
        this.tenantServiceEndpointName = this.model && this.model.defSfmcSyncProcessData ? this.model.defSfmcSyncProcessData.tenantServiceEndpointName || null : null;
        this.isAPIEventCheckBoxChecked = this.model && this.model.defSfmcSyncProcessData ? this.model.defSfmcSyncProcessData.sendSfmcApiRequest || null : true;
        this.tenantService.getAllTenantServices()
            .then(this.onTenantServiceConnectionsLoaded.bind(this))
            .catch(function () { _this.onTenantServiceConnectionsLoaded([]); });
    };
    TriggerSFMCSyncProcessComponent.prototype.ngOnChanges = function () {
        this.tenantServiceConnectionAvailableItems = this.model.tenantServices;
        this.apiEventAvailableItems = this.model.apiEvents;
    };
    TriggerSFMCSyncProcessComponent.prototype.onTenantServiceConnectionsLoaded = function (tenantServices) {
        this.model.tenantServices = this.sortItems(tenantServices, 'ConnectionStringName');
        this.getAPIEvents();
        if (!this.connectionStringName) {
            this.ngOnChanges();
            if (!this.connectionStringName && this.tenantServiceConnectionAvailableItems && this.tenantServiceConnectionAvailableItems.length == 1) {
                this.connectionStringName = this.tenantServiceConnectionAvailableItems[0].ConnectionStringName;
                this.getTenantServiceEndpoint(this.connectionStringName);
            }
            return;
        }
    };
    TriggerSFMCSyncProcessComponent.prototype.getAPIEvents = function () {
        var _this = this;
        this.tenantService.getAllAPIEvents()
            .then(this.onAPIEventsLoaded.bind(this))
            .catch(function () { _this.onAPIEventsLoaded([]); });
    };
    TriggerSFMCSyncProcessComponent.prototype.onAPIEventsLoaded = function (apiEvents) {
        this.model.apiEvents = apiEvents;
        this.model.apiEvents = this.sortItems(this.model.apiEvents, 'name');
        this.ngOnChanges();
    };
    TriggerSFMCSyncProcessComponent.prototype.onTenantServiceSelected = function (connectionStringName) {
        if (this.tenantServiceConnectionAvailableItems) {
            var ts = this.tenantServiceConnectionAvailableItems.find(function (i) { return i.ConnectionStringName === connectionStringName; });
            if (ts) {
                this.connectionStringName = connectionStringName;
                this.getTenantServiceEndpoint(connectionStringName);
            }
            else {
                this.connectionStringName = null;
                this.tenantServiceEndpointId = null;
                this.tenantServiceEndpointName = null;
            }
        }
    };
    TriggerSFMCSyncProcessComponent.prototype.getTenantServiceEndpoint = function (connectionStringName) {
        var _this = this;
        this.tenantService.getConfiguredTenantServiceEndpoint(connectionStringName)
            .then(this.onTenantServiceEndpointLoaded.bind(this))
            .catch(function () { _this.onTenantServiceEndpointLoaded([]); });
    };
    TriggerSFMCSyncProcessComponent.prototype.onTenantServiceEndpointLoaded = function (endpoint) {
        this.tenantServiceEndpointId = endpoint.Id;
        this.tenantServiceEndpointName = endpoint.Name;
    };
    TriggerSFMCSyncProcessComponent.prototype.onAPIEventCheckboxChanged = function (isCheckboxChecked) {
        this.model.apiEvents = [];
        if (isCheckboxChecked) {
            this.getAPIEvents();
        }
        else {
            this.apiEventName = null;
            this.apiEventId = null;
        }
        this.ngOnChanges();
    };
    TriggerSFMCSyncProcessComponent.prototype.onAPIEventSelected = function (apiEventId) {
        this.apiEventId = apiEventId;
        var ts = this.model.apiEvents.find(function (i) { return i.eventDefinitionKey === apiEventId; });
        this.apiEventName = ts ? ts.name || null : null;
        if (!this.apiEventName) {
            this.apiEventId = null;
        }
    };
    TriggerSFMCSyncProcessComponent.prototype.sortItems = function (items, prop) {
        var sorted = items.sort(function (a, b) { return a[prop] > b[prop] ? 1 : a[prop] === b[prop] ? 0 : -1; });
        if (prop.charAt(0) === '-') {
            sorted.reverse();
        }
        return sorted;
    };
    TriggerSFMCSyncProcessComponent.decorators = [
        { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"], args: [{
                    selector: 'ma-trigger-sfmc-sync-process-editor',
                    templateUrl: './trigger-sfmc-sync-process.component.html',
                    styles: [""]
                },] },
    ];
    TriggerSFMCSyncProcessComponent.ctorParameters = function () { return [
        { type: __WEBPACK_IMPORTED_MODULE_2__services_tenant_service__["a" /* TenantService */], },
    ]; };
    return TriggerSFMCSyncProcessComponent;
}(__WEBPACK_IMPORTED_MODULE_1__sitecore_ma_core__["EditorBase"]));

//# sourceMappingURL=trigger-sfmc-sync-process.component.js.map

/***/ }),
/* 5 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_5__;

/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var ma_core_1 = __webpack_require__(1);
var trigger_sfmc_sync_process_activity_1 = __webpack_require__(7);
var trigger_sfmc_sync_process_component_1 = __webpack_require__(4);
var trigger_sfmc_sync_process_module_ngfactory_1 = __webpack_require__(8);
var SFMCActivitiesPlugin = (function () {
    function SFMCActivitiesPlugin() {
    }
    SFMCActivitiesPlugin = __decorate([
        ma_core_1.Plugin({
            activityDefinitions: [
                {
                    id: 'F84C0EB5-63C4-43CE-8C35-882E13A37091',
                    activity: trigger_sfmc_sync_process_activity_1.TriggerSFMCSyncProcessActivity,
                    editorComponenet: trigger_sfmc_sync_process_component_1.TriggerSFMCSyncProcessComponent,
                    editorModuleFactory: trigger_sfmc_sync_process_module_ngfactory_1.TriggerSFMCSyncProcessModuleNgFactory
                }
            ]
        })
    ], SFMCActivitiesPlugin);
    return SFMCActivitiesPlugin;
}());
exports.default = SFMCActivitiesPlugin;


/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var ma_core_1 = __webpack_require__(1);
var core_1 = __webpack_require__(2);
var activityIconSrc = "/~/icon/OfficeWhite/32x32/cloud_updown.png";
var TriggerSFMCSyncProcessActivity = (function (_super) {
    __extends(TriggerSFMCSyncProcessActivity, _super);
    function TriggerSFMCSyncProcessActivity(itemData, root, parent) {
        var _this = _super.call(this, itemData, root, parent) || this;
        _this.translations = {};
        _this.translate = root.injector.get(core_1.TranslateService);
        console.log('ctor');
        _this.getTranslation();
        return _this;
    }
    TriggerSFMCSyncProcessActivity.prototype.getTranslation = function () {
        var _this = this;
        this.translate.get('DEF.SFMC.TITLE').subscribe(function (res) {
            _this.translations.sfmcTitle = res;
        });
        this.translate.get('DEF.SFMC.API_EVENT_SUBTITLE').subscribe(function (res) {
            _this.translations.sfmcApiEvent = res;
        });
        this.translate.get('DEF.SFMC.TENANT_SERVICE_SUBTITLE').subscribe(function (res) {
            _this.translations.sfmcTenantService = res;
        });
    };
    TriggerSFMCSyncProcessActivity.prototype.getVisual = function () {
        var subTitleValue = "";
        var cssClassValue = 'undefined';
        if (this.isSfmcApiEventIdDefined && this.isRequestSfmcApiEventDefined && this.isConnectionStringNameDefined) {
            subTitleValue = this.translations.sfmcApiEvent + ": " + this.editorParams.defSfmcSyncProcessData.sfmcApiEventName;
            cssClassValue = '';
        }
        else if (this.isConnectionStringNameDefined && !this.isRequestSfmcApiEventDefined) {
            subTitleValue = this.translations.sfmcTenantService + ": " + this.editorParams.defSfmcSyncProcessData.connectionStringName;
            cssClassValue = '';
        }
        var subTitle = subTitleValue;
        var cssClass = cssClassValue;
        return "\n            <div class=\"marketing-action " + cssClass + "\">\n                <span class=\"icon\">\n                    <img src=\"" + activityIconSrc + "\" />\n                </span>\n                <p class=\"text with-subtitle\" title=\"" + this.translations.sfmcTitle + "\">\n                    <span class=\"title\">" + this.translations.sfmcTitle + "</span>\n                    <small class=\"subtitle\" title=\"" + subTitle + "\">" + subTitle + "</small>\n                </p>\n            </div>\n        ";
    };
    Object.defineProperty(TriggerSFMCSyncProcessActivity.prototype, "isSfmcApiEventIdDefined", {
        get: function () {
            return (!this.editorParams.defSfmcSyncProcessData || !this.editorParams.defSfmcSyncProcessData.sfmcApiEventId) ? false : true;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TriggerSFMCSyncProcessActivity.prototype, "isConnectionStringNameDefined", {
        get: function () {
            return (!this.editorParams.defSfmcSyncProcessData || !this.editorParams.defSfmcSyncProcessData.connectionStringName) ? false : true;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TriggerSFMCSyncProcessActivity.prototype, "isRequestSfmcApiEventDefined", {
        get: function () {
            return !this.editorParams.defSfmcSyncProcessData ? false : this.editorParams.defSfmcSyncProcessData.sendSfmcApiRequest;
        },
        enumerable: true,
        configurable: true
    });
    return TriggerSFMCSyncProcessActivity;
}(ma_core_1.SingleItem));
exports.TriggerSFMCSyncProcessActivity = TriggerSFMCSyncProcessActivity;


/***/ }),
/* 8 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TriggerSFMCSyncProcessModuleNgFactory", function() { return TriggerSFMCSyncProcessModuleNgFactory; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__angular_core__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__trigger_sfmc_sync_process_module__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__editor_trigger_sfmc_sync_process_component_ngfactory__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3__angular_common__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__services_tenant_service__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__);






var TriggerSFMCSyncProcessModuleNgFactory = __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵcmf"](__WEBPACK_IMPORTED_MODULE_1__trigger_sfmc_sync_process_module__["a" /* TriggerSFMCSyncProcessModule */], [], function (_l) { return __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵmod"]([__WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵmpd"](512, __WEBPACK_IMPORTED_MODULE_0__angular_core__["ComponentFactoryResolver"], __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵCodegenComponentFactoryResolver"], [[8, [__WEBPACK_IMPORTED_MODULE_2__editor_trigger_sfmc_sync_process_component_ngfactory__["a" /* TriggerSFMCSyncProcessComponentNgFactory */]]], [3, __WEBPACK_IMPORTED_MODULE_0__angular_core__["ComponentFactoryResolver"]], __WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModuleRef"]]), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵmpd"](4608, __WEBPACK_IMPORTED_MODULE_3__angular_common__["NgLocalization"], __WEBPACK_IMPORTED_MODULE_3__angular_common__["NgLocaleLocalization"], [__WEBPACK_IMPORTED_MODULE_0__angular_core__["LOCALE_ID"], [2, __WEBPACK_IMPORTED_MODULE_3__angular_common__["ɵa"]]]), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵmpd"](4608, __WEBPACK_IMPORTED_MODULE_4__services_tenant_service__["a" /* TenantService */], __WEBPACK_IMPORTED_MODULE_4__services_tenant_service__["a" /* TenantService */], [__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injector"]]), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵmpd"](512, __WEBPACK_IMPORTED_MODULE_3__angular_common__["CommonModule"], __WEBPACK_IMPORTED_MODULE_3__angular_common__["CommonModule"], []), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵmpd"](512, __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__["TranslateModule"], __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__["TranslateModule"], []), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵmpd"](512, __WEBPACK_IMPORTED_MODULE_1__trigger_sfmc_sync_process_module__["a" /* TriggerSFMCSyncProcessModule */], __WEBPACK_IMPORTED_MODULE_1__trigger_sfmc_sync_process_module__["a" /* TriggerSFMCSyncProcessModule */], [])]); });

//# sourceMappingURL=trigger-sfmc-sync-process-module.ngfactory.js.map

/***/ }),
/* 9 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TriggerSFMCSyncProcessModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__angular_core__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1__angular_common__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__editor_trigger_sfmc_sync_process_component__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__services_tenant_service__ = __webpack_require__(3);





var TriggerSFMCSyncProcessModule = (function () {
    function TriggerSFMCSyncProcessModule() {
    }
    TriggerSFMCSyncProcessModule.decorators = [
        { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"], args: [{
                    imports: [
                        __WEBPACK_IMPORTED_MODULE_1__angular_common__["CommonModule"],
                        __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["TranslateModule"]
                    ],
                    declarations: [__WEBPACK_IMPORTED_MODULE_3__editor_trigger_sfmc_sync_process_component__["TriggerSFMCSyncProcessComponent"]],
                    entryComponents: [__WEBPACK_IMPORTED_MODULE_3__editor_trigger_sfmc_sync_process_component__["TriggerSFMCSyncProcessComponent"]],
                    providers: [__WEBPACK_IMPORTED_MODULE_4__services_tenant_service__["a" /* TenantService */]]
                },] },
    ];
    return TriggerSFMCSyncProcessModule;
}());

//# sourceMappingURL=trigger-sfmc-sync-process-module.js.map

/***/ }),
/* 10 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export RenderType_TriggerSFMCSyncProcessComponent */
/* unused harmony export View_TriggerSFMCSyncProcessComponent_0 */
/* unused harmony export View_TriggerSFMCSyncProcessComponent_Host_0 */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TriggerSFMCSyncProcessComponentNgFactory; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__angular_core__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ngx_translate_core__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ngx_translate_core___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1__ngx_translate_core__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_common__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_common___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2__angular_common__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__trigger_sfmc_sync_process_component__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__services_tenant_service__ = __webpack_require__(3);





var styles_TriggerSFMCSyncProcessComponent = [""];
var RenderType_TriggerSFMCSyncProcessComponent = __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵcrt"]({ encapsulation: 0, styles: styles_TriggerSFMCSyncProcessComponent, data: {} });

function View_TriggerSFMCSyncProcessComponent_1(_l) { return __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵvid"](0, [(_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵeld"](0, 0, null, null, 1, "option", [], [[1, "selected", 0], [8, "value", 0]], null, null, null, null)), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](1, null, ["", ""]))], null, function (_ck, _v) { var _co = _v.component; var currVal_0 = ((((_co.tenantServiceConnectionAvailableItems && (_co.tenantServiceConnectionAvailableItems.length == 1)) && (_v.context.$implicit.ConnectionStringName == _co.tenantServiceConnectionAvailableItems[0].ConnectionStringName)) || (_v.context.$implicit.ConnectionStringName == _co.connectionStringName)) ? true : null); var currVal_1 = _v.context.$implicit.ConnectionStringName; _ck(_v, 0, 0, currVal_0, currVal_1); var currVal_2 = _v.context.$implicit.ConnectionStringName; _ck(_v, 1, 0, currVal_2); }); }
function View_TriggerSFMCSyncProcessComponent_2(_l) { return __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵvid"](0, [(_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵeld"](0, 0, null, null, 1, "option", [], [[8, "value", 0], [1, "selected", 0]], null, null, null, null)), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](1, null, ["", ""]))], null, function (_ck, _v) { var _co = _v.component; var currVal_0 = _v.context.$implicit.eventDefinitionKey; var currVal_1 = ((_v.context.$implicit.eventDefinitionKey == _co.apiEventId) ? true : null); _ck(_v, 0, 0, currVal_0, currVal_1); var currVal_2 = _v.context.$implicit.name; _ck(_v, 1, 0, currVal_2); }); }
function View_TriggerSFMCSyncProcessComponent_0(_l) { return __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵvid"](0, [(_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵeld"](0, 0, null, null, 43, "section", [["class", "content"]], null, null, null, null, null)), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n    "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵeld"](2, 0, null, null, 15, "div", [["class", "form-group"]], null, null, null, null, null)), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n        "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵeld"](4, 0, null, null, 2, "label", [["for", "tenant-service-list"]], null, null, null, null, null)), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](5, null, ["", ""])), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵpid"](131072, __WEBPACK_IMPORTED_MODULE_1__ngx_translate_core__["TranslatePipe"], [__WEBPACK_IMPORTED_MODULE_1__ngx_translate_core__["TranslateService"], __WEBPACK_IMPORTED_MODULE_0__angular_core__["ChangeDetectorRef"]]), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n        "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵeld"](8, 0, null, null, 8, "select", [["class", "form-control"], ["id", "tenant-service-list"]], [[8, "disabled", 0]], [[null, "change"]], function (_v, en, $event) { var ad = true; var _co = _v.component; if (("change" === en)) {
        var pd_0 = (_co.onTenantServiceSelected($event.target.value) !== false);
        ad = (pd_0 && ad);
    } return ad; }, null, null)), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n            "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵeld"](10, 0, null, null, 2, "option", [["class", "default"], ["selected", ""]], null, null, null, null, null)), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](11, null, ["", ""])), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵpid"](131072, __WEBPACK_IMPORTED_MODULE_1__ngx_translate_core__["TranslatePipe"], [__WEBPACK_IMPORTED_MODULE_1__ngx_translate_core__["TranslateService"], __WEBPACK_IMPORTED_MODULE_0__angular_core__["ChangeDetectorRef"]]), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n            "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵand"](16777216, null, null, 1, null, View_TriggerSFMCSyncProcessComponent_1)), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵdid"](15, 802816, null, 0, __WEBPACK_IMPORTED_MODULE_2__angular_common__["NgForOf"], [__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewContainerRef"], __WEBPACK_IMPORTED_MODULE_0__angular_core__["TemplateRef"], __WEBPACK_IMPORTED_MODULE_0__angular_core__["IterableDiffers"]], { ngForOf: [0, "ngForOf"] }, null), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n        "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n    "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n    "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵeld"](19, 0, null, null, 10, "div", [["class", "form-group"]], null, null, null, null, null)), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n        "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵeld"](21, 0, null, null, 7, "div", [["class", "form-check"]], null, null, null, null, null)), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n         "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵeld"](23, 0, null, null, 0, "input", [["class", "form-check-input"], ["id", "api-event-checkbox"], ["type", "checkbox"]], [[8, "checked", 0]], [[null, "change"]], function (_v, en, $event) { var ad = true; var _co = _v.component; if (("change" === en)) {
        var pd_0 = ((_co.isAPIEventCheckBoxChecked = !_co.isAPIEventCheckBoxChecked) !== false);
        ad = (pd_0 && ad);
    } if (("change" === en)) {
        var pd_1 = (_co.onAPIEventCheckboxChanged(_co.isAPIEventCheckBoxChecked) !== false);
        ad = (pd_1 && ad);
    } return ad; }, null, null)), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n        "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵeld"](25, 0, null, null, 2, "label", [["class", "form-check-label"], ["for", "api-event-checkbox"]], null, null, null, null, null)), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](26, null, ["", ""])), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵpid"](131072, __WEBPACK_IMPORTED_MODULE_1__ngx_translate_core__["TranslatePipe"], [__WEBPACK_IMPORTED_MODULE_1__ngx_translate_core__["TranslateService"], __WEBPACK_IMPORTED_MODULE_0__angular_core__["ChangeDetectorRef"]]), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n        "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n    "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n    "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵeld"](31, 0, null, null, 11, "div", [["class", "form-group"]], null, null, null, null, null)), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n      "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵeld"](33, 0, null, null, 8, "select", [["class", "form-control"], ["id", "api-event-list"]], [[8, "disabled", 0]], [[null, "change"]], function (_v, en, $event) { var ad = true; var _co = _v.component; if (("change" === en)) {
        var pd_0 = (_co.onAPIEventSelected($event.target.value) !== false);
        ad = (pd_0 && ad);
    } return ad; }, null, null)), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n          "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵeld"](35, 0, null, null, 2, "option", [["class", "default"], ["selected", ""]], null, null, null, null, null)), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](36, null, ["", ""])), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵpid"](131072, __WEBPACK_IMPORTED_MODULE_1__ngx_translate_core__["TranslatePipe"], [__WEBPACK_IMPORTED_MODULE_1__ngx_translate_core__["TranslateService"], __WEBPACK_IMPORTED_MODULE_0__angular_core__["ChangeDetectorRef"]]), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n          "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵand"](16777216, null, null, 1, null, View_TriggerSFMCSyncProcessComponent_2)), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵdid"](40, 802816, null, 0, __WEBPACK_IMPORTED_MODULE_2__angular_common__["NgForOf"], [__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewContainerRef"], __WEBPACK_IMPORTED_MODULE_0__angular_core__["TemplateRef"], __WEBPACK_IMPORTED_MODULE_0__angular_core__["IterableDiffers"]], { ngForOf: [0, "ngForOf"] }, null), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n      "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n  "])), (_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵted"](-1, null, ["\n"]))], function (_ck, _v) { var _co = _v.component; var currVal_3 = _co.tenantServiceConnectionAvailableItems; _ck(_v, 15, 0, currVal_3); var currVal_8 = _co.apiEventAvailableItems; _ck(_v, 40, 0, currVal_8); }, function (_ck, _v) { var _co = _v.component; var currVal_0 = __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵunv"](_v, 5, 0, __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵnov"](_v, 6).transform("DEF.SFMC.TENANT_SERVICE")); _ck(_v, 5, 0, currVal_0); var currVal_1 = ((_co.tenantServiceConnectionAvailableItems && (_co.tenantServiceConnectionAvailableItems.length < 2)) ? true : false); _ck(_v, 8, 0, currVal_1); var currVal_2 = __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵunv"](_v, 11, 0, __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵnov"](_v, 12).transform("DEF.SFMC.SELECT_TENANT_SERVICE")); _ck(_v, 11, 0, currVal_2); var currVal_4 = _co.isAPIEventCheckBoxChecked; _ck(_v, 23, 0, currVal_4); var currVal_5 = __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵunv"](_v, 26, 0, __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵnov"](_v, 27).transform("DEF.SFMC.API_EVENT")); _ck(_v, 26, 0, currVal_5); var currVal_6 = !_co.isAPIEventCheckBoxChecked; _ck(_v, 33, 0, currVal_6); var currVal_7 = __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵunv"](_v, 36, 0, __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵnov"](_v, 37).transform("DEF.SFMC.SELECT_API_EVENT")); _ck(_v, 36, 0, currVal_7); }); }
function View_TriggerSFMCSyncProcessComponent_Host_0(_l) { return __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵvid"](0, [(_l()(), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵeld"](0, 0, null, null, 1, "ma-trigger-sfmc-sync-process-editor", [], null, null, null, View_TriggerSFMCSyncProcessComponent_0, RenderType_TriggerSFMCSyncProcessComponent)), __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵdid"](1, 638976, null, 0, __WEBPACK_IMPORTED_MODULE_3__trigger_sfmc_sync_process_component__["TriggerSFMCSyncProcessComponent"], [__WEBPACK_IMPORTED_MODULE_4__services_tenant_service__["a" /* TenantService */]], null, null)], function (_ck, _v) { _ck(_v, 1, 0); }, null); }
var TriggerSFMCSyncProcessComponentNgFactory = __WEBPACK_IMPORTED_MODULE_0__angular_core__["ɵccf"]("ma-trigger-sfmc-sync-process-editor", __WEBPACK_IMPORTED_MODULE_3__trigger_sfmc_sync_process_component__["TriggerSFMCSyncProcessComponent"], View_TriggerSFMCSyncProcessComponent_Host_0, { model: "model" }, {}, []);

//# sourceMappingURL=trigger-sfmc-sync-process.component.ngfactory.js.map

/***/ })
/******/ ]);
});